TICKIT_WINDOW_SET_GEOMETRY(3)

NAME
tickit_window_set_geometry - set the size and position of a window

SYNOPSIS
    #include <tickit.h>

    void tickit_window_set_geometry(TickitWindow *win, TickitRect geom);

    void tickit_window_resize(TickitWindow *win, int lines, int cols);
    void tickit_window_reposition(TickitWindow * win, int top, int left);

Link with -ltickit.

DESCRIPTION
tickit_window_set_geometry() sets the size and position of the given window to the details given in the rectangle structure. The position is relative to the window's immediate parent. The window does not have to be entirely contained within the parent; it is allowed to overlap any of the four edges, or even sit entirely outside of the parent. Content rendering and input events will be clipped to the bounds of its parent (and thus any ancestors up to the root) in any case.

This function causes a TICKIT_EV_GEOMCHANGE event to occur at the next tick, if the geometry was actually changed. If none of the four fields are modified then no event occurs; thus it is safe to call it optimistically to update the required size in case it has changed.

tickit_window_resize() and tickit_window_reposition() are shortcut functions that take two integer arguments directly for changing just the size, or just the origin position of the window.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_window_new(3), tickit_window_get_geometry(3), tickit_window_bind_event(3), tickit_window(7), tickit(7)